from microbit import *
import neopixel
import microbit

Red = (255, 0, 0)
Orange = (255, 165, 0)
Yellow = (255, 255, 0)
Green = (0, 255, 0)
Blue = (0, 0, 255)
Violet = (148, 0, 211)
White = (255, 255, 255)
color_lib = {'Red': Red, 'Orange': Orange, 'Yellow': Yellow, 'Green': Green,
'Blue': Blue, 'Violet': Violet, 'White': White}

#函数用于设置多个RGB灯为同种颜色，参数first：设置亮灯的其实位置（0-3，分别为LED1-LED4）
#参数num：设置亮灯的数量，从first为为第一个，往后续亮num个，数目不得超过实际灯数，如fist为3，第一个为LED4，后面已经没多的灯了，所以num只能为1。
#参数color：设置RGB灯的颜色，可选择颜色见上面color_lib字典，字典里面的颜色元组也定义在上面，可以自行查找对应的RGB值添加为元组后
#再添加到字典里面进行调用
def RGBLight_more_show(first, num, color):
    global np
    np.clear()
    for i in range(first, first + num):
        np[i] = color_lib[color]
    np.show()


display.show(Image.HAPPY)
np = neopixel.NeoPixel(pin12, 4)
while True:
    RGBLight_more_show(0, 4, 'Red')
    microbit.sleep(1000)
    RGBLight_more_show(0, 4, 'Green')
    microbit.sleep(1000)
    RGBLight_more_show(0, 4, 'Blue')
    microbit.sleep(1000)
